#!/bin/bash

source /cvmfs/cms.cern.ch/cmsset_default.sh
cd "$CMSSW_DIR/src/" || exit

eval "$(scramv1 runtime -sh)"

## -- set up environment variables pointing to analysis modules
export LUMBERJACK_CONFIGPATH="$CMSSW_DIR/src/ZJetPostProcessing/cfg/python/Lumberjack"
export PALISADE_CONFIGPATH="$CMSSW_DIR/src/ZJetPostProcessing/cfg/python/Palisade"

export ROOT_INCLUDE_PATH="$ROOT_INCLUDE_PATH:/cvmfs/cms.cern.ch/slc7_amd64_gcc820/external/yaml-cpp/0.6.2-pafccj/include"
export ROOT_LOAD_EXTERNAL_LIBRARIES="/cvmfs/cms.cern.ch/slc7_amd64_gcc820/external/yaml-cpp/0.6.2-pafccj/lib/libyaml-cpp.so:$CMSSW_DIR/lib/slc7_amd64_gcc820:$ROOT_LOAD_EXTERNAL_LIBRARIES"

echo "MPL Backend changed to 'Agg' for Palisade."
export MPLBACKEND='Agg'
